API ReferenceCompanions

A more powerful semantic search for your companions

GET
/public/companions/semantic

Query Parameters

search*string
ethnicity?string
Value in"black" | "asian" | "hispanic" | "indigenous" | "middleEastern" | "pacificIslander" | "southAsian" | "white" | "multiracial"
gender?string
Value in"male" | "female" | "nonBinary"
statuses?array<>
tags?
pageIndex?integer
Formatint32
pageSize?integer
Formatint32

Header Parameters

X-API-Version?string

Response Body

curl -X GET "https://companion-api.napster.com/public/companions/semantic?search=string"
[
  {
    "id": "string",
    "firstName": "string",
    "lastName": "string",
    "department": "string",
    "previewUrl": "string",
    "videoLoopUrl": "string",
    "ethnicity": "string",
    "gender": "string",
    "tags": {
      "property1": "string",
      "property2": "string"
    },
    "status": "pending"
  }
]